{% extends 'base.html' %}
{% load static %}
{% load customTags %}

{% block title %}
Book Details | Litwit
{% endblock %}

{% block content %}

<div class="container-fluid bookdetails">
    <div class="row">
        <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12">

            <div class="row" style="margin-bottom: 3%;">
                <div class="col-md-12 col-xs-12 col-sm-12">
                    <span class="bookName">{{ book.title }}</span>
                    <span class="authorName">By {{ book.author }}</span>
                </div>
            </div>

            <div class="row">
                <div class="col-md-3 col-xs-6 col-sm-6">
                    {% if not coverPhoto %}
                    <img class="bookcover" src="/static/img/Books-512.png">
                    {% else %}
                    <img class="bookcover" src="{{ coverPhoto.photo.url }}">
                    {% endif %}
                </div>
                <div class="col-md-6 col-xs-6 col-sm-6" style="margin-top:3%;">
                    <div class="row">
                        <div class="col-md-6 col-xs-6 col-sm-6">
                            <div class="ratings">
                                <img  src="/static/img/{{ book.rating }}.png" style="display:block;width:150px;margin-bottom: 2%;">
                                <span style="" id="ratingscore">{{ book.rating }}/5</span>
                            </div>

                        </div>

                    </div>

                   

                </div>
                <div class="col-md-3 col-xs-12 col-sm-12">
                    <div class="row">
<div class="col-md-12 col-xs-6 col-sm-3">
                           
                            <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" href="/books/{{ book.id }}/addToCart/" id="carts">Filter the reviews</a>
                            <button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" onclick="addreview()" id="reviewheading">Recent</button>


                            <button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" onclick="addreview()" id="reviewheading">Popular</button>
                       
                    </div>
                </div>
            </div>

        </div>



    </div>

    </div> 

            <div class="row">
                            <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12 lenders">
                                                    <h2 class="Underline" style="color:#00838F;font-size:35px;margin-bottom: 4%;font-weight: 550;">Reviews of {{book.title}}</h2>


{% block review %}

 <h2>Review {{book.title}}</h2>
  {% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}
<form action="/books/{{ book.id }}/addReview/" method="post">
    {% csrf_token %}
    <p>Rating{{ form.rating }}</p>
    <p>Comment{{ form.comment }}</p>

  <button type="button" class="btn btn-info" data-toggle="collapse" data-target="#demo">Expand</button>
  <div id="demo" class="collapse">
<p>Language{{ form.lrating }}</p>
<p>Comment{{ form.language }}</p>
<p>Writing{{ form.wrating }}</p>
<p>Comment{{ form.writing }}</p>
<p>Plot{{ form.prating }}</p>
<p>Comment{{ form.plot }}</p>
<p>Cover{{ form.crating }}</p>
<p>Comment{{ form.cover }}</p>
<button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" value="add">Add</button>
</form>

                        
</div>
{% if latest_review_list %}
<div>
    {% for review in paginate_review_list  %}
    
    <div>
        <h6>rated <img  src="/static/img/{{ review.rating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                 {{ review.rating }} of 5 by {{ review.user_name }}<p style="float: right; display: inline-block;">{{review.pub_date}}</p></h6>
       
        <p >{{ review.comment }}</p>
        {% if review.lrating  %}
        <h6>Language <img  src="/static/img/{{ review.lrating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.lrating }} of 5 </h6>
               <p >{{ review.language }}</p>

        {% endif %}
 {% if review.wrating  %}
        <h6>Writing Style <img  src="/static/img/{{ review.wrating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.wrating }} of 5 </h6>
               <p >{{ review.writing }}</p>

        {% endif %}
 {% if review.crating  %}
        <h6>Cover <img  src="/static/img/{{ review.crating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.crating }} of 5 </h6>
               <p >{{ review.cover }}</p>

        {% endif %}
 {% if review.prating  %}
        <h6>Plot <img  src="/static/img/{{ review.prating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.prating }} of 5 </h6>
               <p >{{ review.plot }}</p>

        {% endif %}

          <a href="/books/{{ book.id }}/likeReview/{{review.id}}">
          {{ review.likecount}}Like</a> 
          <hr />
    </div> 

    {% endfor %}
    {% if paginate_review_list.has_other_pages %}
  <ul class="pagination">
    {% if paginate_review_list.has_previous %}
      <li><a href="?page={{ paginate_review_list.previous_page_number }}">&laquo;</a></li>
    {% else %}
      <li class="disabled"><span>&laquo;</span></li>
    {% endif %}
    {% for i in paginate_review_list.paginator.page_range %}
      {% if paginate_review_list.number == i %}
        <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
      {% else %}
        <li><a href="?page={{ i }}">{{ i }}</a></li>
      {% endif %}
    {% endfor %}
    {% if paginate_review_list.has_next %}
      <li><a href="?page={{ paginate_review_list.next_page_number }}">&raquo;</a></li>
    {% else %}
      <li class="disabled"><span>&raquo;</span></li>
    {% endif %}
  </ul>
{% endif %}
    <a class="waves-effect waves-light btn red Button" data-toggle="modal" href="/books/{{book.id}}/reviewDetail/" id="reviewheading" style="align-self: center;">See More</a>
</div>
{% else %}
<p>No reviews are available.</p>
{% endif %}
{% endblock %}
</div>

                    </div>


               <script type="text/javascript" charset="utf-8">
               
               function addreview()
               {console.log(document.getElementById('reviewform'));
               	document.getElementById('reviewform').style.display='block';
               	document.getElementById('reviewheading').style.display='none';
               }
               jQuery(function(){

    var minimized_elements = $('p.minimize');
    
    minimized_elements.each(function(){    
        var t = $(this).text();        
        if(t.length < 100) return;
        
        $(this).html(
            t.slice(0,100)+'<span>... </span><a href="#" class="more">More</a>'+
            '<span style="display:none;">'+ t.slice(100,t.length)+' <a href="#" class="less">Less</a></span>'
        );
        
    }); 
    
    $('a.more', minimized_elements).click(function(event){
        event.preventDefault();
        $(this).hide().prev().hide();
        $(this).next().show();        
    });
    
    $('a.less', minimized_elements).click(function(event){
        event.preventDefault();
        $(this).parent().hide().prev().show().prev().show();    
    });

});
</script>
                {% if addedToCart %}
                <script type="text/javascript" charset="utf-8">
toastr.success('Added!');
                </script>
                {% endif %}

{% if inCart %}
                <script type="text/javascript" charset="utf-8">
document.getElementById('carts').innerHTML="<a>In cart</a>"
                </script>
                {% endif %}

                <script type="text/javascript" charset="utf-8">

                var x= 0;




                </script>
                {% endblock %}
